View Issue Details

IDProjectCategoryView StatusLast Update
0006738CentOS-6yumpublic2013-11-20 11:06
Reporterngm02 
PrioritynormalSeverityblockReproducibilityalways
Status assignedResolutionopen 
PlatformIntelOSCentOS release 6.4 (Final)OS Version release 6.4 Fin
Product Version 
Target VersionFixed in Version 
Summary0006738: ERROR with rpm_check_debug vs depsolve:
DescriptionERROR with rpm_check_debug vs depsolve:
perl(DBI) is needed by squid-7:3.1.10-19.el6_4.x86_64
Please report this error at http://bugs.centos.org/set_project.php?project_id=16&ref=http://bugs.centos.org/bug_report_page.php?category=yum
Steps To ReproduceRun update
Additional InformationNo updates could be installed until squid was de-selected
TagsNo tags attached.

Activities

range

range

2013-11-15 10:24

administrator   ~0018355

Sorry, those are not related (deleted the relationship).

Please show us the *complete* output of yum -v update when that happens and the output of

yum provides 'perl(DBI)'
ngm02

ngm02

2013-11-15 14:52

reporter   ~0018356

prompt:> yum -v

3.2.29

Installed: rpm-4.8.0-32.el6.x86_64 at 2013-04-23 00:30
Built : CentOS BuildSystem <http://bugs.centos.org> at 2013-02-22 02:13
Committed: Florian Festi <ffesti@redhat.com> at 2012-11-15

Installed: yum-3.2.29-40.el6.centos.noarch at 2013-04-23 00:30
Built : CentOS BuildSystem <http://bugs.centos.org> at 2013-02-22 11:26
Committed: Johnny Hughes <johnny@centos.org> at 2013-02-21

Installed: yum-plugin-fastestmirror-1.1.30-14.el6.noarch at 2013-04-23 00:30
Built : CentOS BuildSystem <http://bugs.centos.org> at 2012-06-22 12:23
Committed: Zdenek Pavlas <zpavlas@redhat.com> at 2012-04-26
range

range

2013-11-17 22:56

administrator   ~0018358

Sorry, no. I'd need the output of "yum -v update" *while* it has those problems.
ngm02

ngm02

2013-11-18 19:02

reporter   ~0018361

Not loading "blacklist" plugin, as it is disabled Loading "fastestmirror" plugin Loading "refresh-packagekit" plugin Loading "security" plugin Not loading "whiteout" plugin, as it is disabled Config time: 0.020 Yum Version: 3.2.29 Setting up Package Sacks Loading mirror speeds from cached hostfile
 * base: centos.mirrors.hoobly.com
 * epel: linux.mirrors.es.net
 * extras: dallas.tx.mirror.xygenhosting.com
 * rpmforge: apt.sw.be
 * updates: linux.mirrors.es.net
pkgsack time: 0.167
rpmdb time: 0.000
Setting up Update Process
Updating Everything
Building updates object
up:Obs Init time: 0.135
up:simple updates time: 0.012
up:obs time: 0.003
up:condense time: 0.000
updates time: 0.347
Not Updating Package that is already updated: google-chrome-stable.x86_64 0:31.0.1650.48-1 Not Updating Package that is already updated: squid.x86_64 7:3.1.10-18.el6_4 Resolving Dependencies
--> Running transaction check
---> Package google-chrome-stable.x86_64 0:31.0.1650.48-1 will be
---> updated
Checking deps for google-chrome-stable.x86_64 0:31.0.1650.48-1 - ud
---> Package google-chrome-stable.x86_64 0:31.0.1650.57-1 will be an
---> update
Checking deps for google-chrome-stable.x86_64 0:31.0.1650.57-1 - u
---> Package squid.x86_64 7:3.1.10-18.el6_4 will be updated
Checking deps for squid.x86_64 7:3.1.10-18.el6_4 - ud
---> Package squid.x86_64 7:3.1.10-19.el6_4 will be an update
Checking deps for squid.x86_64 7:3.1.10-19.el6_4 - u
--> Finished Dependency Resolution
Dependency Process ending
Depsolve time: 0.433

Dependencies Resolved

================================================================================
 Package Arch Version Repository Size
================================================================================
Updating:
 google-chrome-stable x86_64 31.0.1650.57-1 google-chrome 59 M
 squid x86_64 7:3.1.10-19.el6_4 updates 1.7 M

Transaction Summary
================================================================================
Upgrade 2 Package(s)

Total size: 60 M
Is this ok [y/N]: Downloading Packages:
using local copy of 7:squid-3.1.10-19.el6_4.x86_64 using local copy of google-chrome-stable-31.0.1650.57-1.x86_64
Running rpm_check_debug
Member: squid.x86_64 7:3.1.10-19.el6_4 - u Adding Package 7:squid-3.1.10-19.el6_4.x86_64 in mode u
Member: google-chrome-stable.x86_64 0:31.0.1650.57-1 - u Adding Package google-chrome-stable-31.0.1650.57-1.x86_64 in mode u
Member: google-chrome-stable.x86_64 0:31.0.1650.48-1 - ud
Member: squid.x86_64 7:3.1.10-18.el6_4 - ud ERROR with rpm_check_debug vs depsolve:
perl(DBI) is needed by squid-7:3.1.10-19.el6_4.x86_64
** Found 1 pre-existing rpmdb problem(s), 'yum check' output follows:
7:squid-3.1.10-18.el6_4.x86_64 has missing requires of perl(DBI) Your transaction was saved, rerun it with: yum load-transaction /tmp/yum_save_tx-2013-11-18-12-56Eazvpr.yumtx
range

range

2013-11-20 11:06

administrator   ~0018372

And what does "yum provides 'perl(DBI)' say?

Issue History

Date Modified Username Field Change
2013-11-14 17:03 ngm02 New Issue
2013-11-14 18:01 toracat Relationship added related to 0006713
2013-11-15 10:22 range Relationship deleted related to 0006713
2013-11-15 10:24 range Note Added: 0018355
2013-11-15 10:24 range Status new => feedback
2013-11-15 14:52 ngm02 Note Added: 0018356
2013-11-15 14:52 ngm02 Status feedback => assigned
2013-11-17 22:56 range Note Added: 0018358
2013-11-18 19:02 ngm02 Note Added: 0018361
2013-11-20 11:06 range Note Added: 0018372